Bug 725752 - Review Request: gazebo - 3D multiple robot simulator with dynamics
Review Request: gazebo - 3D multiple robot simulator with dynamics
Status: CLOSED DUPLICATE of bug 825409
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 635511
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-26 09:18 EDT by Simon Thompson
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-25 20:56:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Buildsystem fixes for 1.0.0-RC1 on f16 (1.81 KB, patch)
2011-12-19 20:45 EST, Rich Mattes
no flags Details | Diff

  None (edit)
Description Simon Thompson 2011-07-26 09:18:56 EDT
Spec URL: http://www.cs.bham.ac.uk/~sjt/rpm/gazebo.spec
SRPM URL: http://www.cs.bham.ac.uk/~sjt/rpm/gazebo-0.9.0-4.el6.src.rpm
Description: Gazebo is a multi-robot simulator for outdoor environments. Like Stage, it is capable of simulating a population of robots, sensors and objects, but does so in a three-dimensional world. It generates both realistic sensor feedback and physically plausible interactions between objects (it includes an accurate simulation of rigid-body physics).

(I'm actually building on an SL6 machine with some extra packages from Fedora which aren't in EPEL, but should build on Fedora).

Note: this is my first package, so I am seeking a sponsor.
Comment 1 Simon Thompson 2011-07-26 09:34:42 EDT
I'll add a pre-emptive note on why its 0.9.0 rather than the latest 0.10.0 release. According to one of our researchers who works in robotics:

"0.10.0 is not really very stable, as it is the first release after a major internal code restructure"
Comment 2 Rich Mattes 2011-07-29 22:55:40 EDT
I have a couple of comments for you.  I'm not a sponsor, so I can't formally review this package, but I would like to help you along.

1) Gazebo bundles assimp, which is against the packaging guidelines at [1].  You'll have to remove assimp and use a system version, which is under review as bug 635511.

2) Fedora packages can't depend on packages from external sources.  The ffmpeg-devel requirement cannot be satisfied by any Fedora packages.  You'll have to build gazebo without ffmpeg support, somehow make ffmpeg a runtime requirement as opposed to a build time requirement, or submit gazebo to a third-party repository for consideration.

[1] http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
Comment 3 Denis Arnaud 2011-07-30 09:25:49 EDT
(In reply to comment #2)
> I have a couple of comments for you.  I'm not a sponsor, so I can't formally
> review this package, but I would like to help you along.

Hi Rich! You can do a formal review. The only thing you cannot do is sponsoring Simon.
Comment 4 Simon Thompson 2011-08-01 05:25:22 EDT
Thanks for taking a look.

As far as I can see, 0.9.0 (which is what I've packaged) of Gazebo doesn't include assimp - 0.10.0 does.

Maybe there's a debate to be had around 0.9.0 vs 0.10.0 though? I noted in comment #1 that its 0.9.0 rather than the latest release. That's based on the comments from some of the researchers I work with who use this stuff.

I'll take a look at the ffmpeg requirement and see if I can resolve that.
Comment 5 Simon Thompson 2011-08-01 08:08:31 EDT
I've changed it so that its possible to build with ffmpeg with "with ffmpeg", but that is disabled by default. It means there's no audio support for gazebo now.

Spec URL: http://www.cs.bham.ac.uk/~sjt/rpm/gazebo-0.9.0-5.spec
SRPM URL: http://www.cs.bham.ac.uk/~sjt/rpm/gazebo-0.9.0-5.el6.src.rpm
Comment 6 Simon Thompson 2011-08-11 07:23:27 EDT
I found that 0.9.0 wouldn't build against OGRE 1.7.x so have bumped version to 0.10.0.

Spec URL: http://www.cs.bham.ac.uk/~sjt/rpm/gazebo-0.10.0-1.spec
SRPM URL: http://www.cs.bham.ac.uk/~sjt/rpm/gazebo-0.10.0-1.el6.src.rpm

Its patched to use the external assimp library. There's options for --with ffmpeg and --with bullet - it currently won't build with the Fedora bullet package though as it requires changes:
  OPTION(USE_DOUBLE_PRECISION "Use double precision" ON)
  OPTION(INSTALL_LIBS "Set when you want to install libraries" ON)
in bullet's CMakeLists.txt

There's a couple of patches in there to make it build and to install unversioned .so files into /usr/lib/package style as well a patch to make it work on x86_64 style machines (based on the architecture detection used in player) so that lib64 is substituted appropriately.

Adding bug 635511 (assimp) as blocking this.

Any comments on this?
Comment 7 Rich Mattes 2011-12-19 20:45:08 EST
Created attachment 548728 [details]
Buildsystem fixes for 1.0.0-RC1 on f16
Comment 8 Rich Mattes 2011-12-19 20:45:49 EST
Gazebo 1.0.0-RC1 has been released at gazebosim.org.  It looks like the 1.0 release doesn't have any dependencies on bullet or assimp at the moment.  It's not too hard to get to build, I've attached a patch that covers all of the stuff that needed to be changed for f16.  The library install directories need to be fixed again.
Comment 9 Rich Mattes 2012-01-14 13:45:00 EST
It's been a little while without any reply, are you still interested in completing this review?  If not, I can re-submit the review request and take it over.
Comment 10 Rich Mattes 2012-04-27 19:11:00 EDT
Are you still interested in finishing this review?  I've been working on gazebo-1.0.0 spec.  I'm happy to share my spec file with you, or submit it myself if you'd prefer.
Comment 11 Rich Mattes 2012-05-25 20:56:30 EDT

*** This bug has been marked as a duplicate of bug 825409 ***

Note You need to log in before you can comment on or make changes to this bug.